Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server.sql
Class IfsPreparedStatement

    java.lang.Object
      oracle.ifs.share.sql.StatementWrapper
          oracle.ifs.share.sql.PreparedStatementWrapper
              oracle.ifs.server.sql.IfsPreparedStatement

    public class IfsPreparedStatement

extends PreparedStatementWrapper

An IfsPreparedStatement is a special type of PreparedStatementWrapper used when the underlying JDBC connection is obtained from a server-side session context.

(Published)

Constructor Summary
`IfsPreparedStatement(java.sql.PreparedStatement pstmt, ConnectionWrapper cw)` Constructs an IfsPreparedStatement.

Method Summary

Methods inherited from class oracle.ifs.share.sql.PreparedStatementWrapper
`addBatch, clearParameters, dispose, execute, executeQuery, executeUpdate, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setDate, setDouble, setFloat, setInt, setLong, setNull, setObject, setObject, setObject, setShort, setString, setTime, setTimestamp, setUnicodeStream`

Methods inherited from class oracle.ifs.share.sql.StatementWrapper
`addBatch, cancel, clearBatch, clearWarnings, close, closeResultSet, closeStatement, closeStatement, execute, executeBatch, executeQuery, executeUpdate, getConnectionWrapper, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsPreparedStatement

    public IfsPreparedStatement(java.sql.PreparedStatement pstmt,
                                ConnectionWrapper cw)

  Constructs an IfsPreparedStatement.

  Parameters:
    `pstmt` - PreparedStatement instance to wrap
    `cw` - the ConnectionWrapper context
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD